## obs-service-set_version_0.6.6.orig.tar.gz

=== Makefile ===
prefix = /usr
PYTHON ?= python3

servicedir = ${prefix}/lib/obs/service

all:

install:
	install -d $(DESTDIR)$(servicedir)
	install -m 0755 set_version $(DESTDIR)$(servicedir)
	install -m 0644 set_version.service $(DESTDIR)$(servicedir)

test:
	flake8 set_version tests/
	echo "Using python ${PYTHON}"
	${PYTHON} --version
	${PYTHON} -m unittest discover tests/

clean:
	find -name "*.pyc" -exec rm {} \;
	find -name '*.pyo' -exec rm {} \;
	rm -rf set_versionc

.PHONY: all install test

=== debian/control ===
Source: obs-service-set-version
Section: devel
Priority: extra
Maintainer: Daniel Gollub <dgollub@brocade.com>
Build-Depends: debhelper (>= 8.0.0), python3, flake8 | python3-flake8, python3-ddt, python3-packaging
Standards-Version: 3.9.3
Homepage: https://github.com/openSUSE/obs-service-set_version

Package: obs-service-set-version
Architecture: all
Depends: ${misc:Depends}, sed, python3
Description: An OBS source service: Update spec file version
 This is a source service for openSUSE Build Service.
 Very simply script to update the version in .spec or .dsc files according to
 a given version or to the existing files.
